Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventSync

Synchronize a logging event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventSync(PetscLogHandler h, PetscLogEvent e, MPI_Comm comm)

Collective

## Input Parameters

- h - the `PetscLogHandler`

- e - a registered `PetscLogEvent`

- comm - the communicator over which to synchronize `e`

## Note

Most users will use `PetscLogEventSync()`, which will call this function for all handlers registered with `PetscLogHandlerStart()`

## See Also

Profiling, `PetscLogHandler`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscLogEventSync()`, `PetscLogHandlerEventBegin()`, `PetscLogHandlerEventEnd()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventSync_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerEventSync_Nested() in src/sys/logging/handler/impls/nested/lognested.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages